Download it now!
Bug 90728 - Net Line Only Charts converted to Line and Point
Summary: Net Line Only Charts converted to Line and Point
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2015-04-20 03:20 UTC by Luke
Modified: 2015-12-17 08:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Native Calc Net Line Chart (13.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-20 03:20 UTC, Luke
Details
Excel Radar chart without points or markers (13.32 KB, application/vnd.ms-excel.12)
2015-04-20 03:22 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-04-20 03:20:32 UTC
Created attachment 114933 [details]
Native Calc Net Line Chart

Steps to reproduce:
1) In Calc create a Line Only Chart
2) Save as XLSX
OR
1) Create a Radar Chart in Excel
2) Open in Calc
3) Save as XLSX

In both cases the Net Line Only Charts are converted to Line and Point charts. In the Excel case, the point(mark) colors are incorrectly similar to Bug 81407. The points from one series are using the colors from another series.
Comment 1 Luke 2015-04-20 03:22:44 UTC
Created attachment 114934 [details]
Excel Radar chart without points or markers

If you round trip this file in Calc, it will convert it to a Radar with Markers chart
Comment 2 raal 2015-04-20 18:37:27 UTC
I can confirm with Version: 5.0.0.0.alpha0+
Build ID: 89f5c1516fd3cf96488d97f62065b1ae0bdb9efa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-18_10:10:39
Locale: cs_CZ
and 4.3.3

open file .ods from attachment
save as xlsx
close , reopen
Comment 3 Luke 2015-04-20 20:10:40 UTC
Added Markus as he's fixed many similar XLSX conversion issues such as Bug 81407.
Comment 4 Luke 2015-04-21 23:51:59 UTC
4.2.7 will preserve the chart type on round trip and exporting to .XLSX.
Comment 5 Markus Mohrhard 2015-04-22 03:43:06 UTC
I think that was fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8dcf2d4861b830ce9dfdf04bee4d365b4724d1e but not sure.

At least the description of the problem and the commit seem to match.
Comment 6 Commit Notification 2015-04-23 00:09:00 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2aaea67759a59579de8b8b93ba0413b64e74e20b

add test for line only chart export, related tdf#90728

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:55:00 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]